Skip to main content
GET
Get a single author

Authorizations

api_key
string
query
required

Your OpenAlex API key. Get a free key at https://openalex.org/settings/api

Path Parameters

id
string
required

OpenAlex ID (e.g., A5023888391) or ORCID

Query Parameters

select
string

Comma-separated list of fields to return. Reduces response size. Example: select=id,display_name,cited_by_count

api_key
string
required

Your OpenAlex API key (required). Get a free key at https://openalex.org/settings/api

Response

Successful response

A person who creates scholarly works

id
string

The OpenAlex ID for this author.

Example:

"https://openalex.org/A5023888391"

orcid
string | null

The ORCID ID for this author. This is the Canonical External ID for authors.

display_name
string

The name of the author as a single string.

display_name_alternatives
string[]

Other ways this author's name has been displayed.

longest_name
string

The longest name variant found for this author across all their works.

parsed_longest_name
object

The longest name parsed into its component parts.

works_count
integer

The number of works this author has created.

cited_by_count
integer

The total number of works that cite a work this author has created.

summary_stats
object

Citation metrics:

affiliations
object[]

List of affiliations this author has claimed in their publications. Each object has:

last_known_institutions
object[]

This author's last known institutional affiliations. Each item is a dehydrated Institution object.

topics
object[]
counts_by_year
object[]

works_count and cited_by_count for each of the last ten years.

ids
object

External identifiers:

works_api_url
string

A URL that will get you a list of all this author's works.

created_date
string<date>

When this author was added to OpenAlex (ISO 8601 date).

updated_date
string<date-time>

When this author was last updated (ISO 8601 datetime).